Bug 1665792 (CVE-2019-3812)

Summary: CVE-2019-3812 qemu: Out-of-bounds read in hw/i2c/i2c-ddc.c allows for memory disclosure
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abhgupta, ailan, amitshah, areis, berrange, cfergeau, dbaker, dbecker, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jokerman, jschluet, kbasil, knoel, lhh, lkundrak, lpeer, mburns, mkenneth, mrezanin, mst, pbonzini, ppandit, public, rbalakri, rjones, rkrcmar, sclewis, security-response-team, slinaber, sthangav, trankin, virt-maint, virt-maint, vkuznets, wmealing, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20190218:0322,reported=20181218,source=researcher,cvss3=4.4/CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:N/A:N,cwe=CWE-119,fedora-all/qemu=affected,epel-all/qemu=affected,rhel-6/qemu-kvm=notaffected,rhel-7/qemu-kvm=notaffected,rhel-8/qemu-kvm=notaffected,openshift-online-3/qemu-kvm=notaffected,openstack-8/qemu-kvm-rhev=notaffected,openstack-9/qemu-kvm-rhev=notaffected,openstack-10/qemu-kvm-rhev=notaffected,openstack-13/qemu-kvm-rhev=notaffected,openstack-14/qemu-kvm-rhev=notaffected,rhel-5/kvm=notaffected,rhel-5/xen=notaffected,rhel-7/qemu-kvm-rhev=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
QEMU, through version 2.10 and through version 3.1.0, is vulnerable to an out-of-bounds read of up to 128 bytes in the i2c_ddc() function. A local attacker with permission to execute i2c commands could exploit this to read stack memory of the QEMU process on the host.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:45:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1678082, 1678081, 1679836, 1690722    
Bug Blocks: 1660287    

Description Sam Fowler 2019-01-14 03:38:45 UTC
QEMU through version 2.10 through to 3.1.0 is vulnerable to an out-of-bounds read
of up to 128 bytes in the hw/i2c/i2c-ddc.c:i2c_ddc() function. A local attacker
with permission to execute i2c commands could exploit this to read stack memory
of the qemu process on the host.

Systems without a monitor connected are affected, a virtual monitor is presented
to virtual guests.  Systems with no graphics cards attached to the virtual host
are not affected.

Upstream patch:
---------------
  -> https://github.com/qemu/qemu/commit/b05b267840515730dbf6753495d5b7bd8b04ad1c

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2019/02/18/1

Comment 1 Sam Fowler 2019-01-14 03:42:18 UTC
Acknowledgments:

Name: Michael Hanselmann (hansmi.ch)

Comment 7 Wade Mealing 2019-02-18 03:29:42 UTC
Created qemu tracking bugs for this issue:

Affects: epel-all [bug 1678082]
Affects: fedora-all [bug 1678081]